#!/bin/dash
# Install Pinball Connect if it's not running
systemctl is-active --quiet pinball-connect.service
result=$?
if [ "$result" != "0" ]
then
	# Not running - initiate the download to install and enable.
	echo "$0: Pinball Connect not running. Result=$result. Initiating re-install..." >&2
	curl -fsSL https://pinball-connect.com/install.sh | sh > /dev/null 2>&1
	echo "$0: Pinball Connect re-installation finished." >&2
else
	echo "$0: Pinball Connect running" >&2
fi
